(ns ch.lyrion.rpg-engine.util
  (:require [clojure.java.io :as io])
  (:import (java.nio.file FileSystems
                          Files
                          Paths)
           (java.net URI)
           (java.util Collections)))

(defn load-filelist-in-dir [dir]
  (let [val-uri (->> dir
                     io/resource
                     .toString
                     (new URI))
        val-dir (if (= (.getScheme val-uri) "jar")
                  (-> val-uri
                      (FileSystems/newFileSystem (Collections/emptyMap))
                      (.getPath dir))
                  (Paths/get val-uri))]
    (->> (Files/list val-dir)
         .toArray
         (map str))))
